import { Component ,Inject,ViewChild} from '@angular/core';
import { DataSvc } from '../services/DataSvc';

import * as wjCore from 'wijmo/wijmo';
import * as wjGrid from 'wijmo/wijmo.grid';
import * as wjInput from 'wijmo/wijmo.input';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
    title = 'FlexGrid';
    public data: wjCore.CollectionView;
    private dataSvc: DataSvc;
    @ViewChild('flex') flex: wjGrid.FlexGrid;
    constructor( @Inject(DataSvc) dataSvc: DataSvc) {
        this.dataSvc = dataSvc;
        this.data = new wjCore.CollectionView(this.dataSvc.getData(30));
      
    }
    splitButtonItemClicked(s: wjInput.Menu, e: wjCore.EventArgs) {
        var menu = s;
        if (menu.isDroppedDown) {
            // the click was on a menu item
            alert('option **' + menu.selectedItem.value + '** is now the default');
        } else {
            // the click was on the button
            alert('running **' + menu.selectedItem.value + '**');
        }
    }
    ngOnInit() {
        this.flex.hostElement.addEventListener('contextmenu', (e) => {
            let ht = this.flex.hitTest(e);
            this.flex.select(ht.row, ht.col);
        });
    }
}
